Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.hadoop.util
Class XMLUtils

    java.lang.Object
      org.apache.hadoop.util.XMLUtils

    public class XMLUtils

extends Object

General xml utilities.

Constructor Summary
`XMLUtils()`

Method Summary
`static void` | `transform(InputStream styleSheet, InputStream xml, Writer out)` Transform input xml given a stylesheet.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XMLUtils

    public XMLUtils()

Method Detail

### transform

    public static void transform(InputStream styleSheet,
                                 InputStream xml,
                                 Writer out)
                          throws TransformerConfigurationException,
                                 TransformerException

  Transform input xml given a stylesheet.

  Parameters:
    `styleSheet` - the style-sheet
    `xml` - input xml data
    `out` - output
  Throws:
    `TransformerConfigurationException`
    `TransformerException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation